<template>
    <div class="cumulus-toast">
        <div class="toast-header">
            <span v-if="title" class="toast-title">
                {{title}}
            </span>
            <span @click="$emit('toast-closed')" class="toast-close-btn">X</span>
        </div>
        <div v-if="bodyUnsafeHTML" class="toast-body" v-html="bodyUnsafeHTML">
        </div>
        <div v-else class="toast-body">
            {{body}}
        </div>
    </div>
</template>

<script>
export default {
    name: 'CumulusToast',

    props: {
        body: String,
        bodyUnsafeHTML: String,
        title: String,
    },
};
</script>
<style lang="scss" scoped>
    .cumulus-toast {
        position: absolute;
        bottom: 20px;
        right: 20px;
        z-index: 9999;
    }

    .toast-close-btn {
        float: right;
    }
</style>
